import type * as React from 'react';
import * as ResizablePrimitive from 'react-resizable-panels';
declare function ResizablePanelGroup({ className, ...props }: React.ComponentProps<typeof ResizablePrimitive.Group>): import("react/jsx-runtime").JSX.Element;
declare namespace ResizablePanelGroup {
    var displayName: string;
}
declare function ResizablePanel({ ...props }: React.ComponentProps<typeof ResizablePrimitive.Panel>): import("react/jsx-runtime").JSX.Element;
declare namespace ResizablePanel {
    var displayName: string;
}
declare function ResizableHandle({ withHandle, className, ...props }: React.ComponentProps<typeof ResizablePrimitive.Separator> & {
    withHandle?: boolean;
}): import("react/jsx-runtime").JSX.Element;
declare namespace ResizableHandle {
    var displayName: string;
}
export { ResizableHandle, ResizablePanel, ResizablePanelGroup };
